<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | listevents.php                                                            |
// | Lists Geeklog events, suitable for printing.                              |
// |                                                                           |
// | Written by Torfinn Ingolfsen, large parts reused from other Geeklog files |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000,2001,2003 by the following authors:                    |
// |                                                                           |
// | Authors: Tony Bibbs, tony@tonybibbs.com                                   |
// |          Jason Whitttenburg, jwhitten@securitygeeks.com                   |
// |          Torfinn Ingolfsen, tingo@start.no                                |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
//
/**
* This page lists all events in the system, in a single list.
*
* @author   Torfinn Ingolfsen
*/

/**
* Geeklog common function library
*/
require_once('lib-common.php');

function listevents( $displaymode='display' )
{
	global $_TABLES, $LANG01, $LANG22, $_CONF, $LANG_ACCESS;

    $retval = '';

    if ($displaymode <> "print") {
	    $retval .= COM_startBlock($LANG01[15]);    // events, in correct language
    }

//  include event template variables here
    $event_templates = new Template($_CONF['path_layout'] . 'event');
    if ($displaymode == "print") {
        $event_templates->set_file(array('list'=>'printable.thtml','row'=>'listitem.thtml'));
    } else {
        $event_templates->set_file(array('list'=>'eventlist.thtml','row'=>'listitem.thtml'));
    }
    $event_templates->set_var('site_name', $_CONF['site_name']);
    $event_templates->set_var('site_slogan', $_CONF['site_slogan']);
    $event_templates->set_var('site_url', $_CONF['site_url']);
    $event_templates->set_var('site_admin_url', $_CONF['site_admin_url']);
    $event_templates->set_var('lang_event', $LANG01[15]);
    $event_templates->set_var('lang_adminhome', $LANG22[19]);
    $event_templates->set_var('lang_instructions', $LANG22[12]);
    $event_templates->set_var('lang_eventtitle', $LANG22[13]);
    $event_templates->set_var('lang_access', $LANG_ACCESS['access']);
    $event_templates->set_var('lang_startdate', $LANG22[14]);
    $event_templates->set_var('lang_enddate', $LANG22[15]);
    $event_templates->set_var('lang_printable', $LANG01[65]);
    $event_templates->set_var('layout_url',$_CONF['layout_url']);


	$result = DB_query("SELECT * FROM {$_TABLES['events']} ORDER BY datestart");
	$nrows = DB_numRows($result);
	for ($i = 0;$i < $nrows; $i++) {
        $A = DB_fetchArray($result);
        $access = SEC_hasAccess($A['owner_id'],$A['group_id'],$A['perm_owner'],$A['perm_group'],$A['perm_members'],$A['perm_anon']);
        if ($access > 0) {
            $event_templates->set_var('event_id', $A['eid']);
            $event_templates->set_var('event_title', $A['title']);
            $event_templates->set_var('event_access', $access);
            $event_templates->set_var('event_startdate', $A['datestart']);
            $event_templates->set_var('event_enddate', $A['dateend']);
            $event_templates->parse('event_row', 'row', true);
        }
    }
    $event_templates->parse('output', 'list');
    $retval .= $event_templates->finish($event_templates->get_var('output'));
    if ($displaymode <> "print") {
	    $retval .= COM_endBlock();
    }
    return $retval;
}

// Main
if ($mode == "print") {
    $display .= listevents('print');
} else {
    $display .= COM_siteHeader('menu');
    $display .= COM_showMessage($msg);
    $display .= listevents();
    $display .= COM_siteFooter();
}

echo $display;

?>
